Subject: Broken index file - any hope?

From: Jonas Schneider <[email-masked]>
Date: Fri, 03 Oct 2008 23:51:37 +0200

Hey guys,

I come from the Ruby on Rails world, where Git is now spreading like ... 
duh, something fast.
Today I sadly lost my complete .git directory, only the working copy was 
left behind.
I reconstructed the directory, but the index file seems to be corrupt, 
every command just tells me about a bad signature.
I hope the rest of the repository is intanct. If it is, is there any 
chance to restore/rebuild that index file from the rest?
I don't have an idea of the internals of git, but I know the objects are 
stored in different files, and maybe on top of that
I could rebuild the index file.

Any hope?
Thanks,
--Jonas Schneider